## com.imcode.imcms.mapping
Class TextDocumentInitializer

    java.lang.Object
      com.imcode.imcms.mapping.TextDocumentInitializer

    public class TextDocumentInitializer

extends java.lang.Object

Constructor Summary
`TextDocumentInitializer(com.imcode.db.Database database, DocumentGetter documentGetter, java.util.Collection documentIds)`

Method Summary
`void` `initialize(TextDocumentDomainObject document)`
`static ImageDomainObject` `setImageSource(ImageDomainObject image)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDocumentInitializer

    public TextDocumentInitializer(com.imcode.db.Database database,
                                   DocumentGetter documentGetter,
                                   java.util.Collection documentIds)

Method Detail

### initialize

    public void initialize(TextDocumentDomainObject document)

### setImageSource

    public static ImageDomainObject setImageSource(ImageDomainObject image)